# module ActionController::Flash

### Protected Instance Methods

redirect_to(options = {}, response_status_and_flash = {}) click to toggle source
Calls superclass method

    # File lib/action_controller/metal/flash.rb, line 12
    def redirect_to(options = {}, response_status_and_flash = {}) #:doc:
      if alert = response_status_and_flash.delete(:alert)
        flash[:alert] = alert
      end

      if notice = response_status_and_flash.delete(:notice)
        flash[:notice] = notice
      end

      if other_flashes = response_status_and_flash.delete(:flash)
        flash.update(other_flashes)
      end

      super(options, response_status_and_flash)
    end